commit:     dd216fe5c28e48b7a26d410b8c585fa2592539da
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 18 06:02:54 2024 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 18 06:04:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd216fe5

app-admin/eselect: add 1.4.28

Closes: https://bugs.gentoo.org/942970
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-admin/eselect/Manifest              |  1 +
 app-admin/eselect/eselect-1.4.28.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-admin/eselect/Manifest b/app-admin/eselect/Manifest
index 221a66023573..5e4e8c596967 100644
--- a/app-admin/eselect/Manifest
+++ b/app-admin/eselect/Manifest
@@ -1 +1,2 @@
 DIST eselect-1.4.27.tar.xz 184464 BLAKE2B 
718874f4d0651194f361ca3202e5140982812bf486c8efe82354944d55206b0113fa135992203e8baa00019c3fd773a90ddaf67157c16f4ac2d69965d9822fbd
 SHA512 
f534785fc1f79869840f420b4ab2b2bf35593c504cce878a6d3d07f75012cf32288009ea9ac2a5607dba216a794110a64c5f2c54d5d8a3c641328489cecc024b
+DIST eselect-1.4.28.tar.xz 184692 BLAKE2B 
86d1bbc0cb618f6edf49753c9f2be0f67670590ae55b8d2a8824940a5efa8462e395e1ee7f42379bd4ea64ea74f775a78e0a3a23ed565c67c3485f7e4e2d7a83
 SHA512 
26ac77465e2d6ab5193083c350cfd027d73ecd6d2702fc5f3db90373e92bf3722aead99c9b00b540c7972761620a485941c897854fe110454a4c6897f3f92868

diff --git a/app-admin/eselect/eselect-1.4.28.ebuild 
b/app-admin/eselect/eselect-1.4.28.ebuild
new file mode 100644
index 000000000000..47ff93c8bade
--- /dev/null
+++ b/app-admin/eselect/eselect-1.4.28.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Packages sharing a common release tarball:
+# app-admin/eselect
+# app-emacs/eselect-mode
+# Please bump and mark them stable together!
+
+inherit bash-completion-r1
+
+DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Eselect";
+SRC_URI="https://dev.gentoo.org/~ulm/eselect/${P}.tar.xz";
+
+LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-4.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="doc emacs vim-syntax"
+
+# coreutils for realpath
+DEPEND="sys-apps/coreutils
+       sys-apps/sed"
+RDEPEND="${DEPEND}
+       sys-apps/file
+       sys-libs/ncurses:0"
+BDEPEND="doc? ( dev-python/docutils )"
+PDEPEND="emacs? ( app-emacs/eselect-mode )
+       vim-syntax? ( app-vim/eselect-syntax )"
+
+src_compile() {
+       emake
+       use doc && emake html
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       newbashcomp misc/${PN}.bashcomp ${PN}
+       dodoc AUTHORS ChangeLog NEWS README TODO doc/*.txt
+       if use doc; then
+               docinto html
+               dodoc *.html doc/*.html doc/*.css
+       fi
+
+       # needed by news module
+       keepdir /var/lib/gentoo/news
+       if ! use prefix; then
+               fowners root:portage /var/lib/gentoo/news
+               fperms g+w /var/lib/gentoo/news
+       fi
+}
+
+pkg_postinst() {
+       # fowners in src_install doesn't work for the portage group:
+       # merging changes the group back to root
+       if ! use prefix; then
+               chgrp portage "${EROOT}/var/lib/gentoo/news" \
+                       && chmod g+w "${EROOT}/var/lib/gentoo/news"
+       fi
+}

Reply via email to